## scikit-learn 1.7.2+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   ?= -T
SPHINXBUILD  ?= sphinx-build
PAPER         =
BUILDDIR      = _build

ifneq ($(EXAMPLES_PATTERN),)
    EXAMPLES_PATTERN_OPTS := -D sphinx_gallery_conf.filename_pattern="$(EXAMPLES_PATTERN)"
endif

ifeq ($(CI), true)
    # On CircleCI using -j2 does not seem to speed up the html-noplot build
    SPHINX_NUMJOBS_NOPLOT_DEFAULT=1
else ifeq ($(shell uname), Darwin)
    # Avoid stalling issues on MacOS
    SPHINX_NUMJOBS_NOPLOT_DEFAULT=1
else
    SPHINX_NUMJOBS_NOPLOT_DEFAULT=auto
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)\
    $(EXAMPLES_PATTERN_OPTS) .


.PHONY: help clean html dirhtml ziphtml pickle json latex latexpdf changes linkcheck doctest optipng

all: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  ziphtml   to make a ZIP of the HTML"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	@echo "Removed $(BUILDDIR)/*"
	-rm -rf auto_examples/
	@echo "Removed auto_examples/"
	-rm -rf generated/*
	@echo "Removed generated/"
	-rm -rf modules/generated/
	@echo "Removed modules/generated/"
	-rm -rf css/styles/
	@echo "Removed css/styles/"
	-rm -rf api/*.rst
	@echo "Removed api/*.rst"

# Default to SPHINX_NUMJOBS=1 for full documentation build. Using
# SPHINX_NUMJOBS!=1 may actually slow down the build, or cause weird issues in
# the CI (job stalling or EOFError), see
# https://github.com/scikit-learn/scikit-learn/pull/25836 or
# https://github.com/scikit-learn/scikit-learn/pull/25809
html: SPHINX_NUMJOBS ?= 1
html:
	@echo $(ALLSPHINXOPTS)
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) -j$(SPHINX_NUMJOBS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"

# Default to SPHINX_NUMJOBS=auto (except on MacOS and CI) since this makes
# html-noplot build faster
html-noplot: SPHINX_NUMJOBS ?= $(SPHINX_NUMJOBS_NOPLOT_DEFAULT)
html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) -j$(SPHINX_NUMJOBS) \
    $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

ziphtml:
	@if [ ! -d "$(BUILDDIR)/html/stable/" ]; then \
		make html; \
	fi
	# Optimize the images to reduce the size of the ZIP
	optipng $(BUILDDIR)/html/stable/_images/*.png
	# Exclude the output directory to avoid infinity recursion
	cd $(BUILDDIR)/html/stable; \
	zip -q -x _downloads \
	       -r _downloads/scikit-learn-docs.zip .
	@echo
	@echo "Build finished. The ZIP of the HTML is in $(BUILDDIR)/html/stable/_downloads."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

download-data:
	python -c "from sklearn.datasets._lfw import _check_fetch_lfw; _check_fetch_lfw()"

# Optimize PNG files. Needs OptiPNG. Change the -P argument to the number of
# cores you have available, so -P 64 if you have a real computer ;)
optipng:
	find _build auto_examples */generated -name '*.png' -print0 \
	  | xargs -0 -n 1 -P 4 optipng -o10

dist: html ziphtml

=== doc/binder/requirements.txt ===
# A binder requirement file is required by sphinx-gallery.
# We don't really need one since our binder requirement file lives in the
# .binder directory.
# This file can be removed if 'dependencies' is made an optional key for
# binder in sphinx-gallery.

=== debian/control ===
Source: scikit-learn
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <michael.hanke@gmail.com>,
 Christian Kastner <ckk@debian.org>,
 Timo Röhling <roehling@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 cython3:native,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-joblib:native,
 python3-mesonpy:native,
 python3-numpy-dev,
 python3-numpy:any,
 python3-scipy:native,
 python3-threadpoolctl:native,
Build-Depends-Arch:
 python3-matplotlib <!nocheck>,
 python3-mypy <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-skimage <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 graphviz <!nodoc>,
 python-matplotlib-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-pandas-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python3-doc <!nodoc>,
 python3-matplotlib <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-pandas <!nodoc>,
 python3-pil <!nodoc>,
 python3-plotly <!nodoc>,
 python3-pooch <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-seaborn <!nodoc>,
 python3-skimage <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-sphinx-prompt <!nodoc>,
 python3-sphinx-remove-toctrees <!nodoc>,
 python3-sphinxcontrib-sass <!nodoc>,
 python3-sphinxcontrib-towncrier <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
Homepage: https://scikit-learn.org
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-sklearn
Architecture: all
Depends:
 python3-sklearn-lib(<< ${source:Version}.1~),
 python3-sklearn-lib(>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-matplotlib,
Suggests:
 python-sklearn-doc,
Enhances:
 python3-mdp,
Description: Python modules for machine learning and data mining - Python 3
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)
 .
 This package contains the Python 3 version.

Package: python-sklearn-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-numpy-doc,
 python-pandas-doc,
 python-scipy-doc,
 python3-doc,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.
Build-Profiles: <!nodoc>

Package: python3-sklearn-lib
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: low-level implementations and bindings for scikit-learn - Python 3
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.
 .
 This package contains the Python 3 version.

=== debian/watch ===
Version: 5

Template: Github
Owner: scikit-learn
Project: scikit-learn
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg

## scikit-learn 1.8.0%2Bdfsg

=== debian/changelog ===
scikit-learn (1.8.0+dfsg-2) experimental; urgency=medium

  * Experimental rebuild with build-dir fix applied.

 -- Timo Röhling <roehling@debian.org>  Thu, 19 Feb 2026 15:20:19 +0100

scikit-learn (1.8.0+dfsg-1) experimental; urgency=medium

  * Use SEMANTIC_VERSION in d/watch
  * New upstream version 1.8.0+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 23 Dec 2025 20:06:06 +0100

scikit-learn (1.7.2+dfsg-4) unstable; urgency=medium

  * Drop --config-setting build-dir (Closes: #1124209)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Dec 2025 00:46:49 +0100

## scikit-learn 1.8.0+dfsg

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

PYTHON ?= python
DEFAULT_MESON_BUILD_DIR = build/cp$(shell python -c 'import sys, sysconfig; suffix = "t" if sysconfig.get_config_var("Py_GIL_DISABLED") else ""; print(f"{sys.version_info.major}{sys.version_info.minor}{suffix}")')

all:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "  dev                  build scikit-learn with Meson"
	@echo "  clean                clean scikit-learn Meson build. Very rarely needed,"
	@echo "                       since meson-python recompiles on import."

.PHONY: all

dev: dev-meson

dev-meson:
	pip install --verbose --no-build-isolation --editable . --config-settings editable-verbose=true

clean: clean-meson

clean-meson:
	pip uninstall -y scikit-learn
	# It seems in some cases removing the folder avoids weird compilation
	# errors (e.g. when switching from numpy>=2 to numpy<2). For some
	# reason ninja clean -C $(DEFAULT_MESON_BUILD_DIR) is not
	# enough.
	rm -rf $(DEFAULT_MESON_BUILD_DIR)

=== debian/changelog ===
scikit-learn (1.8.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Feb 2026 21:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
  python3-sphinxcontrib-sass <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: https://scikit-learn.org
